Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.workbench.diagram
Class DiagramTypeConverterRegistry

    java.lang.Object
      biouml.workbench.diagram.DiagramTypeConverterRegistry

public class DiagramTypeConverterRegistry
extends java.lang.Object

Nested Class Summary
`static class` | `DiagramTypeConverterRegistry.Conversion` Utility class that stores classes of diagram type and corresponding converter.

Field Summary
`static java.lang.String` | `CONVERSION`
`static java.lang.String` | `Converter_CLASS`
`static java.lang.String` | `DIAGRAM_TYPE_FROM`
`static java.lang.String` | `DIAGRAM_TYPE_TO`

Constructor Summary
`DiagramTypeConverterRegistry()`

Method Summary
`static DiagramTypeConverterRegistry.Conversion[]` | `getPossibleConversions(java.lang.String diagramType)`
`static java.util.HashMap` | `getRegistry()`
`protected static void` | `loadExtensions(java.lang.String extensionPointId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERSION

    public static final java.lang.String CONVERSION

See Also:
  Constant Field Values

### DIAGRAM_TYPE_FROM

    public static final java.lang.String DIAGRAM_TYPE_FROM

See Also:
  Constant Field Values

### DIAGRAM_TYPE_TO

    public static final java.lang.String DIAGRAM_TYPE_TO

See Also:
  Constant Field Values

### Converter_CLASS

    public static final java.lang.String Converter_CLASS

See Also:
  Constant Field Values

Constructor Detail

### DiagramTypeConverterRegistry

    public DiagramTypeConverterRegistry()

Method Detail

### getRegistry

    public static java.util.HashMap getRegistry()

### getPossibleConversions

    public static DiagramTypeConverterRegistry.Conversion[] getPossibleConversions(java.lang.String diagramType)

### loadExtensions

    protected static void loadExtensions(java.lang.String extensionPointId)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.